Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Introduction
  2. Define settings for data collections
  3. Manage Data Marketplace content
  4. Manage data collections
  5. Manage requests, orders and consumer accesses
  6. Miscellaneous APIs
  7. Frequently Asked Questions

API Reference

API Reference

Response

Response

When you pass the API query parameters in the REST client, the client displays a response for the parameter values that you have entered.
The following examples show the response of API calls to retrieve the details of data collections:
Example response 1
{ "processingTime": 5177, "offset": 0, "limit": 50, "totalCount": 1, "objects": [ { "id": "b90626e0-c9ae-44ed-b9ed-67178e92e886", "refId": "DCL-945", "name": "Retail Outlet List", "description": "List of all retail outlets.", "category": { "id": "8a17c0c2-dc9b-4904-8d28-535c27f23489", "name": "Retail", "description": "The category for the Retail department.", "refId": "CAT-744", "status": "ACTIVE", "effectiveStatus": "ACTIVE" }, "usageContexts": [ { "id": "675c2d4d-f0a8-4526-9aeb-304c86488296", "name": "Retail Analytics", "description": "This is for analytics purposes by the retail department.", "color": "string", "status": "ACTIVE" } ], "status": "PUBLISHED", "dataOwners": [ { "displayName": "Jane Doe", "id": " User1", "name": "username1", "email": "abc@xyz.com", "phone": "2020202020", "status": "ACTIVE", "userInfo": {}, "isGroup": true } ], "technicalOwners": [ { "displayName": "John Doe", "id": "User2", "name": "username2", "email": "xyz@abc.com", "phone": "2020202021", "status": "ACTIVE", "userInfo": {}, "isGroup": true } ], "customFields": [ { "name":"com.infa.odin.models.custom.ca_1007408542741800522", "value":"false", "values":null } ], "createdBy": "lWDKqZAREESgsDTtk9kVOy", "createdOn": "2022-06-21T10:43:03.374Z", "modifiedBy": "lWDKqZAREESgsDTtk9kVOy", "modifiedOn": "2022-07-07T13:26:23.180Z" } ] }
Example response 2
{ "processingTime": 7788, "offset": 0, "limit": 50, "totalCount": 1, "objects": [ { "id": "0537c392-a359-4cdc-8989-1d88eee1dddb", "refId": "78901", "name": "08/09 J-SOX Reports", "description": "The collection of J-SOX reports from 2008-09.", "category": { "id": "5e056b9b-d2d1-4b33-a38b-3d8255cde7c0", "name": "cat05", "description": "desc", "refId": "16", "status": "ACTIVE", "effectiveStatus": "ACTIVE" }, "usageContexts": null, "status": "PUBLISHED", "dataOwners": [], "technicalOwners": [], "customFields": [ { "name": com.infa.odin.models.custom.ca_3184028726397751640", "value": "2023-09-05", "values": null }, { "name": "com.infa.odin.models.custom.ca_3068304325528979652", "value": null, "values": [ { "Apache CloduStack", "Microsoft Azure" ] }, { "name": "com.infa.odin.models.custom.ca_8610145587620226269", "value": "Reticulum", "values": null }, { "name": "com.infa.odin.models.custom.ca_6928840635020975219", "value": "45.6", "values": null }, { "name": "com.infa.odin.models.custom.ca_5588843841075376340", "value": "LXMF", "values": null }, { "name": "com.infa.odin.models.custom.ca_7907323524500803261", "value": "Secure Data Transfer", "values": null }, { "name": "com.infa.odin.models.custom.ca_1535512762047882544", "value": "10", "values": null }, { "name": "com.infa.odin.models.custom.ca_1007408542741800522", "value": "false", "values": null }, { "name": "com.infa.odin.models.custom.ca_7821688086685433570", "value": "false", "values": null } ], "createdBy": "8lgIca73QzfdX7xzhZnOQa", "createdOn": "2023-09-11T05: 40: 34.460Z", "modifiedBy": "8lgIca73QzfdX7xzhZnOQa", "modifiedOn": "2023-09-11T05: 40: 34.460Z" } ] }
The following table describes the parameters of each data collection that is retrieved:
Parameter
Description
processingTime
The time taken (in milliseconds) to complete the API call.
offset
The starting index for the paginated results.
Default value is
0
.
limit
The maximum number of results.
Default value is
50
.
totalCount
Total count of records that match the applied filters.
objects
This parameter contains the data collection details.
id
The system generated unique identifier of the data collection.
refId
Reference identifier of the data collection.
name
Name of the data collection.
description
Description of the data collection.
category
This parameter contains details on the category that contains the data collection.
category > id
The system generated unique identifier of the category.
category > name
Name of the category.
category > description
Description of the category.
category > status
The status of the category, as configured by the Category Owner.
category > effectiveStatus
The effective status informs you of whether or not the category is available to Data Owners.
  • If the effective status is
    ACTIVE
    , the category is available to Data Owners.
  • If the effective status is
    INACTIVE
    , the category is not available to Data Owners.
usageContexts > id
The system generated unique identifier of the usage type that is used to specify the certified use of the data collection.
usageContexts > name
Name of the usage type.
usageContexts > description
Description of the usage type.
usageContexts > color
The hexadecimal value that represents the color indicator of the usage type. Assigning a unique color indicator allows
Data Marketplace
users to identify a usage type easily.
usageContexts > status
The status informs you of whether or not the usage type is available to Data Owners.
  • If the status is
    ACTIVE
    , the usage type is available to Data Owners.
  • If the status is
    INACTIVE
    , the usage type is not available to Data Owners.
status
The status informs you of whether or not the data collection is available to Data Users.
  • If the status is
    PUBLISHED
    , the data collection is available to Data Users.
  • If the status is
    UNPUBLISHED
    , the data collection is not available to Data Users.
dataOwners
This parameter contains details on the data collection's Data Owners.
dataOwners > displayName
Name of the Data Owner.
dataOwners > id
The system generated unique identifier of the Data Owner user account.
dataOwners > name
Username of the Data Owner user account.
dataOwners > email
Email address of the Data Owner.
dataOwners > phone
Contact number of the Data Owner.
dataOwners > status
The status informs you of whether the user account of the Data Owner is active.
  • If the status is
    ACTIVE
    , the Data Owner user account is active.
  • If the status is
    INACTIVE
    , the Data Owner user account is not active.
dataOwners > userInfo
Details retrieved from the Data Owner's
My Data
page.
dataOwners > isGroup
You can use this parameter to confirm whether the user account is part of a group. It can have one of the following values:
  • If the parameter value is
    true
    , the user account is part of a group
  • If the parameter value is
    false
    , the user account isn't part of a group
technicalOwners
This parameter contains details on the data collection's Technical Owners.
technicalOwners > displayName
Name of the Technical Owner.
technicalOwners > id
The system generated unique identifier of the Technical Owner user account.
technicalOwners > name
Username of the Technical Owner user account.
technicalOwners > email
Email address of the Technical Owner.
technicalOwners > phone
Contact number of the Technical Owner.
technicalOwners > status
The status informs you of whether or not the user account of the Technical Owner is active.
  • If the status is
    ACTIVE
    , the Technical Owner user account is active.
  • If the status is
    INACTIVE
    , the Technical Owner user account is not active.
technicalOwners > userInfo
Details retrieved from the Technical Owner's
My Data
page.
technicalOwners > isGroup
You can use this parameter to confirm whether the user account is part of a group. It can have one of the following values:
  • If the parameter value is
    true
    , the user account is part of a group
  • If the parameter value is
    false
    , the user account isn't part of a group
customFields
The values entered in the custom fields, as specified by the Data Owner.
Custom fields are additional properties for
Data Marketplace
objects that are defined by your Administrator in
Metadata Command Center
.
For more information about custom fields, see the
Create custom fields for objects
topic in the
Set Up Data Marketplace
help.
customFields > name
The system generated unique identifier of the custom field.
For more information about how you can retrieve the custom field name as it appears on the
Data Marketplace
interface, see Retrieve custom fields.
customFields > value
The custom field value. This parameter can have only a single value.
customFields > values
The custom field value. This parameter can have multiple values.
createdBy
The system generated unique identifier of the user account that created the data collection.
createdOn
The date when the data collection was created.
modifiedBy
The system generated unique identifier of the latest user account that modified the data collection.
modifiedOn
The latest date when the data collection was modified.

0 COMMENTS

We’d like to hear from you!